document.addEventListener('DOMContentLoaded', () => {
    let timer;
    let timeLeft = 0;
    const timerDisplay = document.getElementById('timerDisplay');
    const timerButtons = document.querySelectorAll('.timer-btn');
    
    function updateDisplay(seconds) {
        const minutes = Math.floor(seconds / 60);
        const remainingSeconds = seconds % 60;
        timerDisplay.textContent = `${String(minutes).padStart(2, '0')}:${String(remainingSeconds).padStart(2, '0')}`;
    }

    function startTimer(duration) {
        clearInterval(timer);
        timeLeft = duration;
        updateDisplay(timeLeft);
        
        timer = setInterval(() => {
            timeLeft--;
            updateDisplay(timeLeft);
            
            if (timeLeft <= 0) {
                clearInterval(timer);
                alert('Your egg is ready!');
            }
        }, 1000);
    }

    timerButtons.forEach(button => {
        button.addEventListener('click', () => {
            const time = parseInt(button.dataset.time);
            startTimer(time);
        });
    });

    // Add smooth scrolling for navigation
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });
});